跳转至

查询交易询价信息

请求

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/integrated/trade/rfq/price
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/integrated/trade/rfq/price

参数

路径参数

字段类型描述
b_id
必填
String业务线 ID

查询参数

字段类型描述
trading_pair
必填
String交易对,例如 BTCUSDT 交易对中的报价币种是 USDT,基础币种是 BTC
quote_amount
必填
String报价币种金额
side
必填
String交易方向
允许值: BUY(买)、SELL(卖)
base_amount
可选
String基础币种金额,如果提供了报价币种金额,则可以忽略此参数

响应

响应体

字段 类型 描述
code Integer 响应码(0 = 成功)
message String 响应消息
successful Boolean 请求是否成功
data Object 报价数据(详见下方 data 对象详情)

data(对象)

字段 类型 描述
pair String 交易对
price_id String 价格 ID (创建询价订单所需参数)
qty_base Integer 基础金额
qty_quote Integer 报价金额
price Integer 价格
expire_time Long 报价过期时间 (毫秒)
count_down Integer 报价有效期 (毫秒)

响应示例

{
  "code": 0,
  "data": {
    "count_down": 0,
    "expire_time": 0,
    "pair": "string",
    "price_id": "string",
    "qty_base": "string",
    "qty_quote": "string",
    "price": "string"
  },
  "message": "string",
  "successful": true
}